# Uses of Enum
com.fasterxml.jackson.core.JsonEncoding

Packages that use JsonEncoding
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.io
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.

## Uses of JsonEncoding in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return JsonEncoding
Modifier and Type
Method
Description
`static JsonEncoding`
JsonEncoding.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonEncoding[]`
JsonEncoding.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.core with parameters of type JsonEncoding
Modifier and Type
Method
Description
`protected Writer`
JsonFactory.`_createWriter(OutputStream out, JsonEncoding enc, IOContext ctxt)`
`JsonGenerator`
JsonFactory.`createGenerator(DataOutput out, JsonEncoding enc)`
Method for constructing generator for writing content using specified `DataOutput` instance.
`JsonGenerator`
JsonFactory.`createGenerator(File f, JsonEncoding enc)`
Method for constructing JSON generator for writing JSON content to specified file, overwriting contents it might have (or creating it if such file does not yet exist).
`JsonGenerator`
JsonFactory.`createGenerator(OutputStream out, JsonEncoding enc)`
Method for constructing JSON generator for writing JSON content using specified output stream.
`abstract JsonGenerator`
TokenStreamFactory.`createGenerator(DataOutput out, JsonEncoding enc)`
`abstract JsonGenerator`
TokenStreamFactory.`createGenerator(File f, JsonEncoding enc)`
`abstract JsonGenerator`
TokenStreamFactory.`createGenerator(OutputStream out, JsonEncoding enc)`
`JsonGenerator`
JsonFactory.`createJsonGenerator(OutputStream out, JsonEncoding enc)`
Deprecated.
Since 2.2, use `JsonFactory.createGenerator(OutputStream, JsonEncoding)` instead.

## Uses of JsonEncoding in com.fasterxml.jackson.core.io

Fields in com.fasterxml.jackson.core.io declared as JsonEncoding
Modifier and Type
Field
Description
`protected JsonEncoding`
IOContext.`_encoding`
Encoding used by the underlying stream, if known.
Methods in com.fasterxml.jackson.core.io that return JsonEncoding
Modifier and Type
Method
Description
`JsonEncoding`
IOContext.`getEncoding()`
Methods in com.fasterxml.jackson.core.io with parameters of type JsonEncoding
Modifier and Type
Method
Description
`void`
IOContext.`setEncoding(JsonEncoding enc)`
`IOContext`
IOContext.`withEncoding(JsonEncoding enc)`

## Uses of JsonEncoding in com.fasterxml.jackson.core.json

Methods in com.fasterxml.jackson.core.json that return JsonEncoding
Modifier and Type
Method
Description
`JsonEncoding`
ByteSourceJsonBootstrapper.`detectEncoding()`
Method that should be called after constructing an instace.